classification
Title: Implementation of PEP 3101, Advanced String Formatting
Type: Stage:
Components: Interpreter Core Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: eric.smith
Priority: normal Keywords:

Created on 2007-08-24 03:51 by eric.smith, last changed 2012-06-10 17:25 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
pep3101.diff eric.smith, 2007-08-24 03:51
Messages (3)
msg55237 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2007-08-24 03:51
This implements PEP 3101, for the py3k branch.

Known issues:
Better error handling, per the PEP.

Need to write Formatter class.

test_long is failing, but I don't think it's my doing.

Need to fix this warning that I introduced when compiling
Python/formatter_unicode.c:
Objects/stringlib/unicodedefs.h:26: warning: `STRINGLIB_CMP' defined but
not used

Need more tests for sign handling for int and float.

It still supports "()" sign formatting from an earlier PEP version.
msg55284 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2007-08-25 09:19
Closed, code was checked in revision 57444.
msg55285 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2007-08-25 09:21
I tried to close it, without success.  Possible tracker issue, I'll
investigate.

It should be closed!
History
Date User Action Args
2012-06-10 17:25:00ned.deilysetfiles: - ship61.html
2012-06-10 17:24:35ned.deilysetfiles: - ship60.html
2012-06-10 17:24:23ned.deilysetfiles: - ship59.html
2012-06-10 17:24:17ned.deilysetfiles: - ship58.html
2012-06-10 17:24:12ned.deilysetfiles: - ship57.html
2012-06-10 17:24:06ned.deilysetfiles: - ship56.html
2012-06-10 17:24:02ned.deilysetfiles: - ship55.html
2012-06-10 17:23:57ned.deilysetfiles: - ship54.html
2012-06-10 17:23:53ned.deilysetfiles: - ship53.html
2012-06-10 17:23:48ned.deilysetfiles: - ship52.html
2012-06-10 17:23:42ned.deilysetfiles: - ship51.html
2012-06-10 17:23:36ned.deilysetfiles: - ship50.html
2012-06-10 17:23:33ned.deilysetfiles: - ship49.html
2012-06-10 17:23:20ned.deilysetfiles: - ship48.html
2012-06-10 17:23:14ned.deilysetfiles: - ship47.html
2012-06-10 17:23:05ned.deilysetfiles: - ship46.html
2012-06-10 17:22:56ned.deilysetfiles: - ship45.html
2012-06-10 17:22:49ned.deilysetfiles: - ship44.html
2012-06-10 17:22:41ned.deilysetfiles: - ship43.html
2012-06-10 17:22:36ned.deilysetfiles: - ship42.html
2012-06-10 17:22:28ned.deilysetfiles: - ship41.html
2012-06-10 17:22:18ned.deilysetfiles: - ship40.html
2012-06-10 17:22:13ned.deilysetfiles: - ship39.html
2012-06-10 17:22:08ned.deilysetfiles: - ship38.html
2012-06-10 17:22:04ned.deilysetfiles: - ship37.html
2012-06-10 17:21:56ned.deilysetfiles: - ship36.html
2012-06-10 17:21:48ned.deilysetfiles: - ship35.html
2012-06-10 17:21:38ned.deilysetfiles: - ship34.html
2012-06-10 17:21:33ned.deilysetfiles: - ship33.html
2012-06-10 17:21:27ned.deilysetfiles: - ship32.html
2012-06-10 17:21:20ned.deilysetfiles: - ship31.html
2012-06-10 17:21:05ned.deilysetfiles: - ship30.html
2012-06-10 17:20:58ned.deilysetfiles: - ship29.html
2012-06-10 17:20:53ned.deilysetfiles: - ship28.html
2012-06-10 17:20:46ned.deilysetfiles: - ship27.html
2012-06-10 17:20:39ned.deilysetfiles: - ship26.html
2012-06-10 17:20:30ned.deilysetfiles: - ship25.html
2012-06-10 17:20:24ned.deilysetfiles: - ship24.html
2012-06-10 17:20:18ned.deilysetfiles: - ship23.html
2012-06-10 17:18:04ned.deilysetfiles: - ship22.html
2012-06-10 17:12:26ned.deilysetfiles: - ship21.html
2012-06-10 17:12:20ned.deilysetfiles: - ship20.html
2012-06-10 17:12:14ned.deilysetfiles: - ship19.html
2012-06-10 17:12:00ned.deilysetfiles: - ship18.html
2012-06-10 17:11:51ned.deilysetfiles: - ship17.html
2012-06-10 17:11:45ned.deilysetfiles: - ship16.html
2012-06-10 17:11:38ned.deilysetfiles: - ship15.html
2012-06-10 17:11:32ned.deilysetfiles: - ship14.html
2012-06-10 17:11:25ned.deilysetfiles: - ship13.html
2012-06-10 17:11:19ned.deilysetfiles: - ship12.html
2012-06-10 17:11:09ned.deilysetfiles: - ship11.html
2012-06-10 17:10:59ned.deilysetfiles: - ship10.html
2012-06-10 17:10:53ned.deilysetfiles: - ship9.html
2012-06-10 17:10:46ned.deilysetfiles: - ship8.html
2012-06-10 17:10:39ned.deilysetfiles: - ship7.html
2012-06-10 17:10:30ned.deilysetfiles: - ship6.html
2012-06-10 17:10:20ned.deilysetfiles: - ship5.html
2012-06-10 17:10:14ned.deilysetfiles: - ship4.html
2012-06-10 17:10:08ned.deilysetfiles: - ship3.html
2012-06-10 17:10:01ned.deilysetfiles: - ship2.html
2012-06-10 17:09:53ned.deilysetfiles: - ship1.html
2012-06-10 13:02:23fyrn76jisetfiles: + ship61.html
2012-06-10 13:02:08fyrn76jisetfiles: + ship60.html
2012-06-10 13:02:00fyrn76jisetfiles: + ship59.html
2012-06-10 13:01:53fyrn76jisetfiles: + ship58.html
2012-06-10 13:01:45fyrn76jisetfiles: + ship57.html
2012-06-10 13:01:37fyrn76jisetfiles: + ship56.html
2012-06-10 13:01:24fyrn76jisetfiles: + ship55.html
2012-06-10 13:01:16fyrn76jisetfiles: + ship54.html
2012-06-10 13:01:07fyrn76jisetfiles: + ship53.html
2012-06-10 13:00:53fyrn76jisetfiles: + ship52.html
2012-06-10 13:00:45fyrn76jisetfiles: + ship51.html
2012-06-10 13:00:34fyrn76jisetfiles: + ship50.html
2012-06-10 13:00:25fyrn76jisetfiles: + ship49.html
2012-06-10 13:00:18fyrn76jisetfiles: + ship48.html
2012-06-10 13:00:09fyrn76jisetfiles: + ship47.html
2012-06-10 12:59:57fyrn76jisetfiles: + ship46.html
2012-06-10 12:59:48fyrn76jisetfiles: + ship45.html
2012-06-10 12:59:38fyrn76jisetfiles: + ship44.html
2012-06-10 12:59:26fyrn76jisetfiles: + ship43.html
2012-06-10 12:59:18fyrn76jisetfiles: + ship42.html
2012-06-10 12:59:10fyrn76jisetfiles: + ship41.html
2012-06-10 12:59:02fyrn76jisetfiles: + ship40.html
2012-06-10 12:58:54fyrn76jisetfiles: + ship39.html
2012-06-10 12:58:44fyrn76jisetfiles: + ship38.html
2012-06-10 12:58:35fyrn76jisetfiles: + ship37.html
2012-06-10 12:58:27fyrn76jisetfiles: + ship36.html
2012-06-10 12:58:20fyrn76jisetfiles: + ship35.html
2012-06-10 12:58:11fyrn76jisetfiles: + ship34.html
2012-06-10 12:58:02fyrn76jisetfiles: + ship33.html
2012-06-10 12:57:52fyrn76jisetfiles: + ship32.html
2012-06-10 12:57:44fyrn76jisetfiles: + ship31.html
2012-06-10 12:57:31fyrn76jisetfiles: + ship30.html
2012-06-10 12:57:22fyrn76jisetfiles: + ship29.html
2012-06-10 12:57:15fyrn76jisetfiles: + ship28.html
2012-06-10 12:57:02fyrn76jisetfiles: + ship27.html
2012-06-10 12:56:54fyrn76jisetfiles: + ship26.html
2012-06-10 12:56:46fyrn76jisetfiles: + ship25.html
2012-06-10 12:56:36fyrn76jisetfiles: + ship24.html
2012-06-10 12:56:24fyrn76jisetfiles: + ship23.html
2012-06-10 12:56:16fyrn76jisetfiles: + ship22.html
2012-06-10 12:56:04fyrn76jisetfiles: + ship21.html
2012-06-10 12:55:55fyrn76jisetfiles: + ship20.html
2012-06-10 12:55:45fyrn76jisetfiles: + ship19.html
2012-06-10 12:55:30fyrn76jisetfiles: + ship18.html
2012-06-10 12:55:21fyrn76jisetfiles: + ship17.html
2012-06-10 12:55:11fyrn76jisetfiles: + ship16.html
2012-06-10 12:55:02fyrn76jisetfiles: + ship15.html
2012-06-10 12:54:53fyrn76jisetfiles: + ship14.html
2012-06-10 12:54:42fyrn76jisetfiles: + ship13.html
2012-06-10 12:54:32fyrn76jisetfiles: + ship12.html
2012-06-10 12:54:23fyrn76jisetfiles: + ship11.html
2012-06-10 12:54:13fyrn76jisetfiles: + ship10.html
2012-06-10 12:54:03fyrn76jisetfiles: + ship9.html
2012-06-10 12:53:54fyrn76jisetfiles: + ship8.html
2012-06-10 12:53:45fyrn76jisetfiles: + ship7.html
2012-06-10 12:53:34fyrn76jisetfiles: + ship6.html
2012-06-10 12:53:25fyrn76jisetfiles: + ship5.html
2012-06-10 12:53:18fyrn76jisetfiles: + ship4.html
2012-06-10 12:53:07fyrn76jisetfiles: + ship3.html
2012-06-10 12:53:00fyrn76jisetfiles: + ship2.html
2012-06-10 12:52:23fyrn76jisetfiles: + ship1.html
2007-08-29 20:33:59gvanrossumsetstatus: open -> closed
resolution: accepted
2007-08-25 09:21:28eric.smithsetmessages: + msg55285
2007-08-25 09:19:54eric.smithsetmessages: + msg55284
versions: + Python 3.0, - Python 2.6
2007-08-24 04:49:27eric.smithsetversions: + Python 2.6
2007-08-24 03:51:50eric.smithcreate